from portkey_ai import Portkey
# Initialize the Portkey client
portkey = Portkey(
api_key="PORTKEY_API_KEY",
)
# Get a user invite
user = portkey.admin.users.invites.retrieve(
invite_id='INVITE_ID'
)
print(user){
"object": "invite",
"id": "419641fb-1458-47d6-94d0-e308159b3ec2",
"email": "horace.slughorn@example.com",
"role": "member",
"created_at": "2023-12-12 13:56:32",
"expires_at": "2023-12-12 13:56:32",
"accepted_at": "2023-12-12 13:56:32",
"status": "pending",
"invited_by": "8dcfa174-c5ed-42c7-8a63-be755cc6e3123",
"workspaces": [
{
"workspace_id": "",
"role": ""
}
]
}Retrieve an user invite
GET
/
admin
/
users
/
invites
/
{inviteId}
from portkey_ai import Portkey
# Initialize the Portkey client
portkey = Portkey(
api_key="PORTKEY_API_KEY",
)
# Get a user invite
user = portkey.admin.users.invites.retrieve(
invite_id='INVITE_ID'
)
print(user){
"object": "invite",
"id": "419641fb-1458-47d6-94d0-e308159b3ec2",
"email": "horace.slughorn@example.com",
"role": "member",
"created_at": "2023-12-12 13:56:32",
"expires_at": "2023-12-12 13:56:32",
"accepted_at": "2023-12-12 13:56:32",
"status": "pending",
"invited_by": "8dcfa174-c5ed-42c7-8a63-be755cc6e3123",
"workspaces": [
{
"workspace_id": "",
"role": ""
}
]
}Documentation Index
Fetch the complete documentation index at: https://portkey-docs-feat-byteplus-provider.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Path Parameters
string
Response
200 - application/json
OK
Example:
"invite"
Available options:
admin, member Available options:
pending, cancelled, accepted, expired Last modified on May 24, 2026
Was this page helpful?
⌘I

